libpci-dev_3.5.2-1ubuntu2_amd64.deb


Advertisement

Description

libpci-dev - Linux PCI Utilities (development files)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Main amd64
Package filename libpci-dev_3.5.2-1ubuntu2_amd64.deb
Package name libpci-dev
Package version 3.5.2
Package release 1ubuntu2
Package architecture amd64
Package type deb
Category libdevel
Homepage http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 42.27 KB
Installed size 226.00 KB
This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
header files, as well as the /usr/lib/libpci.a library.

Alternatives

Package Version Architecture Repository
libpci-dev_3.5.2-1ubuntu2_i386.deb 3.5.2 i386 Ubuntu Main
libpci-dev - - -

Requires

Name Value
libpci3 = 1:3.5.2-1ubuntu2
libudev-dev >= 196
zlib1g-dev -

Provides

Name Value
pciutils-dev -

Conflicts

Name Value
pciutils-dev -

Replaces

Name Value
pciutils-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpci-dev_3.5.2-1ubuntu2_amd64.deb
Source Package pciutils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpci-dev deb package:
    # sudo apt-get install libpci-dev

Files

Path
/usr/include/pci/config.h
/usr/include/pci/header.h
/usr/include/pci/pci.h
/usr/include/pci/types.h
/usr/lib/x86_64-linux-gnu/libpci.a
/usr/lib/x86_64-linux-gnu/libpci.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libpci.pc
/usr/share/doc/libpci-dev/changelog.Debian.gz
/usr/share/doc/libpci-dev/copyright

Changelog

2018-08-03 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
pciutils (1:3.5.2-1ubuntu2) cosmic; urgency=medium
* Downloaded pci.ids snapshot dated 2018-07-21 03:15:01 to better
work with new Hardware (LP: #1784549)
2017-04-24 - Steve Langasek <steve.langasek@ubuntu.com>
pciutils (1:3.5.2-1ubuntu1) artful; urgency=low
* Merge from Debian unstable, remaining changes:
- Downloaded daily snapshot dated 2017-03-16 03:15:01 
- debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
upstream to support PCI gen4 cards in lspci.
2016-11-30 - Anibal Monsalve Salazar <anibal@debian.org>
pciutils (1:3.5.2-1) unstable; urgency=medium
[ Anibal Monsalve Salazar ]
* New upstream version 3.5.2
* Update pci.ids with version 2016.11.21
* Refresh patches
* Standards-Version: 3.9.8
[ Helmut Grohne ]
* Fix FTCBFS (Closes: 834794)
- export cross $PKG_CONFIG
- export cross $HOST
2016-11-22 - Samuel Thibault <sthibault@debian.org>
pciutils (1:3.3.1-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix linking on non-linux architectures by cleaning link rules.
(Closes: #815669)
2017-03-20 - Tim Gardner <tim.gardner@canonical.com>
pciutils (1:3.3.1-1.1ubuntu9) zesty; urgency=medium
* Downloaded daily snapshot dated 2017-03-16 03:15:01 
2017-02-16 - Steve Langasek <steve.langasek@ubuntu.com>
pciutils (1:3.3.1-1.1ubuntu8) zesty; urgency=medium
* debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
upstream to support PCI gen4 cards in lspci.  Closes LP: #1665436.
2017-02-01 - Tim Gardner <tim.gardner@canonical.com>
pciutils (1:3.3.1-1.1ubuntu7) zesty; urgency=medium
* Downloaded daily snapshot dated 2017-01-28 03:15:02 
2017-01-10 - Tim Gardner <tim.gardner@canonical.com>
pciutils (1:3.3.1-1.1ubuntu6) zesty; urgency=medium
* Downloaded daily snapshot dated 2017-01-08 03:15:02
2016-11-30 - Tim Gardner <tim.gardner@canonical.com>
pciutils (1:3.3.1-1.1ubuntu5) zesty; urgency=medium
* Downloaded daily snapshot dated 2016-11-21 03:15:01
2016-09-29 - Tim Gardner <tim.gardner@canonical.com>
pciutils (1:3.3.1-1.1ubuntu4) yakkety; urgency=medium
* Downloaded daily snapshot dated 2016-09-28 03:15:02

See Also

Package Description
libpci3_3.5.2-1ubuntu2_amd64.deb Linux PCI Utilities (shared library)
libpciaccess-dev_0.14-1_amd64.deb Generic PCI access library for X - development files
libpciaccess0_0.14-1_amd64.deb Generic PCI access library for X
libpcre16-3_8.39-12_amd64.deb Old Perl 5 Compatible Regular Expression Library - 16 bit runtime files
libpcre2-16-0_10.32-5_amd64.deb New Perl Compatible Regular Expression Library - 16 bit runtime files
libpcre2-32-0_10.32-5_amd64.deb New Perl Compatible Regular Expression Library - 32 bit runtime files
libpcre2-8-0_10.32-5_amd64.deb New Perl Compatible Regular Expression Library- 8 bit runtime files
libpcre2-dev_10.32-5_amd64.deb New Perl Compatible Regular Expression Library - development files
libpcre2-posix0_10.32-5_amd64.deb New Perl Compatible Regular Expression Library - posix-compatible runtime files
libpcre3-dev_8.39-12_amd64.deb Old Perl 5 Compatible Regular Expression Library - development files
libpcre32-3_8.39-12_amd64.deb Old Perl 5 Compatible Regular Expression Library - 32 bit runtime files
libpcre3_8.39-12_amd64.deb Old Perl 5 Compatible Regular Expression Library - runtime files
libpcrecpp0v5_8.39-12_amd64.deb Old Perl 5 Compatible Regular Expression Library - C++ runtime files
libpcsclite-dev_1.8.24-1_amd64.deb Middleware to access a smart card using PC/SC (development files)
libpcsclite1_1.8.24-1_amd64.deb Middleware to access a smart card using PC/SC (library)
Advertisement
Advertisement